> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get reservation tour operator commission specifications show

- Product: Reservation tour operator commission specifications
- Section: ReservationTourOperatorCommissionSpecification
- Snapshot: Current
- Method: `GET`
- Path: `/api/reservation_tour_operator_commission_specifications/reservation/{reservationId}`

## Path parameters

### `reservationId`

Type: `number`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.reservationTourOperatorCommissionSpecifications.getByReservation({
  reservationId: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/reservation_tour_operator_commission_specifications/reservation/$RESERVATIONID" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "id": 0,
  "type": "fixed",
  "amount": "amount",
  "percentage": "percentage"
}
```

##### Schema

###### ReservationTourOperatorCommissionSpecification

Type: `ReservationTourOperatorCommissionSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: no  
Default: `fixed`  

###### `amount`

Type: `string`  
Required: no  

###### `percentage`

Type: `string`  
Required: no  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/reservation-tour-operator-commission-specifications/methods/get-by-reservation/)
- [TypeScript Markdown](/reservation-tour-operator-commission-specifications/methods/get-by-reservation.md?lang=typescript)
- [curl Markdown](/reservation-tour-operator-commission-specifications/methods/get-by-reservation.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/reservation-tour-operator-commission-specifications/llms.txt)
- [snapshot llms.txt](/reservation-tour-operator-commission-specifications/llms.txt)
